petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPFCGSetNprealloc

set the number of directions to preallocate with FCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGSetNprealloc(KSP ksp,PetscInt nprealloc)

Logically Collective on ksp

### Input Parameters

| ksp | - the Krylov space context
| nprealloc | - the number of vectors to preallocate

### Options Database

-ksp_fcg_nprealloc <N> -number of directions to preallocate

### See Also

KSPFCG, KSPFCGGetTruncationType(), KSPFCGGetNprealloc()

### Level

advanced

### Location

src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages